Loading...
Searching...
No Matches
OpenMesh::IO::binary< T, typename > Struct Template Reference

The struct defines how to store and restore the type T. More...

`#include <OpenMesh/Core/IO/SR_binary.hh>`

## Public Types

typedef T | value_type

## Static Public Member Functions

static size_t | size_of (void)
| What's the size of T? If it depends on the actual value (e.g. for vectors) return UnknownSize.
static size_t | size_of (const value_type &)
| What't the size of a specific value of type T.
static std::string | type_identifier (void)
| A string that identifies the type of T.
static size_t | store (std::ostream &, const value_type &, bool=false, bool=true)
| Store a value of T and return the number of bytes written.
static size_t | restore (std::istream &, value_type &, bool=false, bool=true)
| Restore a value of T and return the number of bytes read.

## Static Public Attributes

static const bool | is_streamable = false
| Can we store T? Set this to true in your specialization.

## Detailed Description

template<typename T, typename = void>
struct OpenMesh::IO::binary< T, typename >

The struct defines how to store and restore the type T.

It's used by the OM reader/writer modules.

The following specialization are provided:

- Fundamental types except `long`
- OpenMesh vector types
- OpenMesh::StatusInfo
- std::string (max. length 65535)

- std::vector<T> (requires a specialization for T)

  Todo
    Complete documentation of members

The documentation for this struct was generated from the following file:

- OpenMesh/Core/IO/SR_binary.hh